CROP(1)

NAME
Crop - crop regions of a dataset

SYNOPSIS
astcrop [OPTION...] [Crop-Identifier] ASTRdata ...

DESCRIPTION
Crop is part of GNU Astronomy Utilities 0.20. Crop will create cutouts, thumbnails, postage stamps or crops of region(s) from input image(s) using image or celestial coordinates. If muliple crops are desired, a catalog must be provided. When in WCS mode, if the cut out covers more than one input image, all overlapping input images will be stitched in the output.

For more information, please run any of the following commands. In particular the second contains a very comprehensive explanation of Crop's invocation: expected input(s), output(s), and a full description of all the options.

All options and their values:
    $ astcrop -P

Inputs/Outputs and options:
    $ info astcrop

Full section in manual/book:
    $ info Crop

Full Gnuastro manual/book:
    $ info gnuastro

If you couldn't find your answer in the manual, you can get direct help from experienced Gnuastro users and developers. For more information, please run:

    $ info help-gnuastro

Crop options:

    Input:

--hendwcs=INT
    Header keyword number to stop reading WCS.

--hstartwcs=INT
    Header keyword number to start reading WCS.

-h, --hdu=STR/INT
    Extension name or number of (all) input(s).

-O, --mode=STR
    Coordinate mode 'img' or 'wcs'.

-z, --zeroisnotblank
    0.0 in float or double images are not blank.

    Output:

-a, --metaname=STR
    Name of output HDU (EXTNAME keyword in FITS).

-A, --append
    If output exists, append crop to existing HDUs.

-b, --noblank
    Remove parts of the crop box out of input image.

-D, --dontdelete
    Don't delete output if it exists.

-K, --keepinputdir
    Keep input directory for automatic output.

-o, --output=STR
    Output file name.

--primaryimghdu
    Write crop in primary/zero-th HDU of output.

-p, --suffix=STR
    Suffix (postfix) of cropped images.

--tableformat=STR
    Table fmt: 'fits-ascii', 'fits-binary', 'txt'.

-t, --oneelemstdout
    Print one element's value on stdout.

-T, --type=STR
    Type of output: e.g., int16, float32, etc...

--wcslinearmatrix=STR
    WCS linear matrix of output ('pc' or 'cd').

-X, --widthinpix --width is in pixels (even in WCS mode).

    Crop by center

--checkcenter=FLT/INT
    Width (in pixels) of box at center to check.

-c, --center=FLT[,...]
    Central coordinates of a single crop.

-w, --width=FLT[,...]
    Width when crop is defined by its center.

    Crop by center (when a catalog is given)

--cathdu=STR/INT
    HDU of catalog, if it is a FITS table.

-C, --catalog=FITS/TXT
    Input catalog filename.

-I, --ignorecase
    Ignore case in matching/searching columns.

-n, --namecol=STR/INT
    Column no./info of crop filename (no suffix).

--searchin=STR
    Select column(s): 'name', 'unit', 'comment'.

-x, --coordcol=STR/INT
    Column no./info containing coordinates.

    Crop by region

-l, --polygon=FLT,FLT[:...]
    Polygon vertices, also a DS9 region file.

--polygonout
    Keep the polygon's outside, mask the inside.

--polygonsort
    Sort polygon vertices as counter-clockwise.

-s, --section=STR
    Image section string specifying crop range.

    Operating modes:

-?, --help
    give this help list

--checkconfig
    List all config files and variables read.

--cite
    BibTeX citation for this program.

--config=STR
    Read configuration file STR immediately.

--lastconfig
    Do not parse any more configuration files.

--log
    Information about output(s) in a log file.

--minmapsize=INT
    Min. bytes to avoid RAM automatically.

-N, --numthreads=INT
    Number of CPU threads to use.

--onlyversion=STR
    Only run if the program version is STR.

-P, --printparams
    Print parameter values to be used and abort.

--quietmmap
    Don't print mmap'd file's name and size.

-q, --quiet
    Only report errors, remain quiet about steps.

-S, --setdirconf
    Set default values for this directory and abort.

--usage
    give a short usage message

-U, --setusrconf
    Set default values for this user and abort.

-V, --version
    print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

GNU Astronomy Utilities home page: http://www.gnu.org/software/gnuastro/

REPORTING BUGS
Report bugs to bug-gnuastro@gnu.org.

COPYRIGHT
Copyright © 2015-2023 Free Software Foundation, Inc. License GPLv3+: GNU General public license version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written/developed by Mohammad Akhlaghi

SEE ALSO
The full documentation for Crop is maintained as a Texinfo manual. If the info and Crop programs are properly installed at your site, the command

    info Crop

should give you access to the complete manual.